Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.voicelibrary.co/llms.txt

Use this file to discover all available pages before exploring further.

Streaming TTS

POST https://api.myvocal.ai/sound_clone/api/v1/tts/stream

Request body

Parameters are aligned with standard TTS.
  • language is optional for myvocal_v3.
  • Omit language on V3 to use auto-detect.

Examples

V3 explicit language

curl --location 'https://api.myvocal.ai/sound_clone/api/v1/tts/stream' \
--header 'accessKey: <your_api_key>' \
--header 'Content-Type: application/json' \
--data '{
  "voiceId": "<voice_id>",
  "title": "tts-stream-v3-explicit-language",
  "text": "[happy] Hola, this is a short streaming test.",
  "language": "en",
  "modelId": "myvocal_v3",
  "voiceSettings": { "stability": 0.5 }
}' \
--output output-stream-v3-explicit.mp3

V3 auto-detect (omit language)

curl --location 'https://api.myvocal.ai/sound_clone/api/v1/tts/stream' \
--header 'accessKey: <your_api_key>' \
--header 'Content-Type: application/json' \
--data '{
  "voiceId": "<voice_id>",
  "title": "tts-stream-v3-auto-detect",
  "text": "[happy] Hola, este es un streaming test para auto detect.",
  "modelId": "myvocal_v3",
  "voiceSettings": { "stability": 0.5 }
}' \
--output output-stream-v3-auto.mp3

Success response

Content-Type: audio/mpeg